/********************************************************************** 
 Freeciv - Copyright (C) 2001 - A. Gorshenev (aka nikodimka)
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/

#include <stdlib.h>
#include "agents.h"

/**************************************************************************
This is the simple historian agent.
It just saves the last states of all cities, tiles and units.
The trick is just to call this agent the last of all
so it still keeps old values whereas all other agents 
allready got the new ones.
**************************************************************************/

extern struct agent simple_historian_agent;

void simple_historian_init(void);
void sha_tile_update(int index);

void sha_unit_new(int id);
void sha_unit_change(int id);
void sha_unit_remove(int id);

struct tile* sha_tile_recall(int x, int y);
struct unit* sha_unit_recall(int id);
